/*
**  FreeDBViewController.h
**
**  Copyright (c) 2002
**
**  Author: Yen-Ju Chen <yjchenx@hotmail.com>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _Musicbox_MusicBox_PrefModule_H_FreeDBViewController
#define _Musicbox_MusicBox_PrefModule_H_FreeDBViewController

#include <Foundation/NSObject.h>
#include <MusicBox/PreferenceModule.h>

@class NSTextField;
@class NSTableView;
@class NSTableColumn;
@class NSMutableArray;
@class NSButton;

@interface FreeDBViewController : NSObject <PreferenceModule>
{
  id view;
  
  NSTextField *freedbField;
  NSTableView *tableView;
  NSButton *button;

  NSMutableArray *siteList;
  Class cddbClass;
}

- (void) listOfSites: (id) sender;
- (int) numberOfRowsInTableView: (NSTableView *) aView;
- (id) tableView: (NSTableView *) aView
           objectValueForTableColumn: (NSTableColumn *) aColumn
           row: (int) row;

@end

#endif /* _Musicbox_MusicBox_PrefModule_H_FreeDBViewController */
