/*
**  PreferenceWindowController.h
**
**  Copyright (c) 2003
**
**  Author: Yen-Ju Chen <yjchenx@hotmail.com>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _Musicbox_MusicBox_H_PreferenceWindowController
#define _Musicbox_MusicBox_H_PreferenceWindowController

#include <AppKit/NSWindowController.h>

@class NSMatrix;
@class NSBox;
@class NSMutableArray;

@interface PreferenceWindowController: NSWindowController
{
   NSMatrix *matrix;
   NSBox *box;
   NSMutableArray *allModules;
}

- (void) revertAction: (id) sender;
- (void) applyAction: (id) sender;
- (void) handleCellAction: (id) sender;

@end

#endif /* _Musicbox_MusicBox_H_PreferenceWindowController */
